require 'rails/generators/base'

module WorkInProgress
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../../templates", __FILE__)

      desc "Creates a Devise initializer and copy locale files to your application."
      def copy_initializer
        template "work_in_progress.rb", "config/initializers/work_in_progress.rb"
      end
    end
  end
end