require "work_in_progress/version"
require "work_in_progress/view_helpers"

if defined?(Rails)
  require "work_in_progress/railtie"
end

module WorkInProgress

  # Choose framework solution
  mattr_accessor :framework
  @@framework = nil

  # List permited users emails
  mattr_accessor :permited_users
  @@permited_users = []

  # Default way to setup Work in Progress.
  def self.setup
    yield self
  end

end
